#include "Game.h"

Game::Game(Board* board){
    this->board = board;
    lcd = board->lcd;
    leds = board->leds;
    key = board->key;
    button = board->button;
    keyboard = board->keyboard;
    buzzer = board->buzzer;
    
    //keyboard->attach(this,&Game::keyEvent);
    //keyboard->start();
    leds->off(Leds::ALL);
}

Board* Game::getBoard(){
    return board;
}

void Game::init(){
    board->lcd->cls();
    board->lcd->printf("Starting game");
    board->lcd->locate(1,0);
    board->lcd->printf("DummyGame");
    wait(3);
}

void Game::end(){
    board->lcd->cls();
    board->lcd->printf("Ending game");
    board->lcd->locate(1,0);
    board->lcd->printf("DummyGame");
    wait(5);
}

