
#include "Objective.h"

Objective::Objective(Game* game){
    this->game = game;
    Board* board = game->getBoard();
    lcd = board->lcd;
    leds = board->leds;
    key = board->key;
    button = board->button;
    keyboard = board->keyboard;
    buzzer = board->buzzer;
        
    status = WAITING;    
}

Objective::Status Objective::getStatus(){
    return status;   
}

void Objective::start(){
    while(status != COMPLETED){
        run();
    }
}

void Objective::complete(){
    status = COMPLETED;
}

